import { Injectable } from "@angular/core";
import { Resolve } from "@angular/router";
import { Set003Service } from "app/views/set/set003/set003.service";
import { Observable } from "rxjs/Observable";

@Injectable()
export class Set003Resolver implements Resolve<any> {
  constructor(private set003Service: Set003Service) {}

  resolve(): Observable<any> {

    return this.set003Service.selectedItem;
  }
}
